//
//  TSChatThinkingModel.swift
//  AIEmoji
//
//  Created by 100Years on 2025/3/12.
//

import ObjectMapper

class TSChatThinkingModel:TSBaseModel{
    var thinkingIcon:String = "deepseek_icon"//图标
    var thinkingName:String = "DeepSeek-R1"
    var thinkingState:String = ""
    
    var thinkingString: String = ""//ai思考内容
    var thinkingFold: Bool = false//ai 思考UI是否折叠
    
    var startStamp: Int = 0//开始思考时间戳
    var endStamp: Int = 0//结束思考时间戳
    
    
    override func mapping(map: Map) {
        thinkingIcon            <- map["thinkingIcon"]
        thinkingName            <- map["thinkingName"]
        thinkingState            <- map["thinkingState"]
        
        thinkingString                  <- map["thinkingString"]
        thinkingFold            <- map["thinkingFold"]
        
        startStamp                <- map["startStamp"]
        endStamp            <- map["endStamp"]
    }
}
